[aliases]
n0=; Jenac Script (c) 1998-2005.
n1=
n2=;ВНИМАНИЕ!
n3=;ЕСЛИ ВЫ ИЗМЕНИТЕ ОРИГИНАЛЬНЫЙ КОД ЭТОГО СКРИПТА,
n4=;ТО РИСКУЕТЕ ОСТАТЬСЯ БЕЗ ЮЗАБЕЛЬНОЙ МИРКИ!
n5=
n6=setuphelp {
n7=  window -Cdak @Auto_Help $+ $1 400 300
n8=  var %i.mh 1
n9=  :new
n10=  set %rh $read($mircdirsystem\syst\setuphelp $+ $1 $+ .txt, %i.mh)
n11=  if ( %rh != $null ) { aline -p @Auto_Help $+ $1 %rh | inc %i.mh | goto new }
n12=  else { goto end }
n13=  :end
n14=}
n15=
n16=;[THANXER]
n17=thx {
n18=  if ( %thx != $null ) { set %thxask $$?!"Выключить Авто-спасибо?" | if ( %thxask == $true ) { unset %thx | echo 10 -a %ss2 Авто-спасибо выключено. } }
n19=  else { set %thxask $$?!"Включить Авто-спасибо?" | if ( %thxask == $true ) { set %thx Auto.thx.on | echo 10 -a %ss2 Авто-спасибо включено. } }
n20=unset %thxask }
n21=
n22=;[WATCH_USER]
n23=watchus {
n24=  if ( %watchus != $null ) { set %watchusask $$?!"Выключить Watch User?" | if ( %watchusask == $true ) { unset %watchus | echo 10 -a %ss2 Watch User выключена. } }
n25=  else { set %watchusask $$?!"Включить Watch User?" | if ( %watchusask == $true ) { set %watchus watchus.on | echo 10 -a %ss2 Watch User включена. } }
n26=unset %watchusask }
n27=
n28=;[AutoHello]
n29=greet {
n30=  if ( %greet != $null ) { set %greetask $$?!"Выключить Автопривет?" | if ( %greetask == $true ) { unset %greet | echo 10 -a %ss2 Автопривет выключен. } }
n31=  else { set %greetask $$?!"Включить Автопривет?" | if ( %greetask == $true ) { set %greet Auto.greet.on | echo 10 -a %ss2 Автопривет включен. } }
n32=unset %greetask }
n33=shgrch { window -a @Service | clear @Service | aline -p @Service Каналы, на которые распространяется действие Автопривета: | aline -p @Service $read(system\syst\auto.txt,3) $+  }
n34=addgrch { shgrch | write -al3 $mircdirsystem\syst\auto.txt %ss3 $+ $$?="Введите канал, который хотите добавить в формате #Chan" $+ %ss4 | shgrch }
n35=delgrch { shgrch | set %grd $read(system\syst\auto.txt,3) | write -l3 $mircdirsystem\syst\auto.txt $remove(%grd,$$?="Введите название канала в формате [#Chan]") | unset %grd | shgrch }
n36=
n37=;[STYLIZATOR]
n38=styleshow { .play -sc $mircdirsystem\syst\styles.ini 0 }
n39=style {
n40=  if ( %style != $null ) { set %stask $$?!"Вы хотите выключить стилизатор?" | if ( %stask == $true ) { unset %stlz* %stask %style | echo 10 -a %ss2 Стилизатор выключен. } }
n41=}
n42=stylecol {
n43=  if ( %style.col != $null ) { set %stask $$?!"Вы хотите выключить цветовой стилизатор?" | if ( %stask == $true ) { unset %stlс.col* %stask %style.col | echo 10 -a %ss2 Цветовой стилизатор выключен. } }
n44=}
n45=
n46=;[PING REPLY BLOCK]
n47=prb {
n48=  if ( %prb != $null ) { set %prbask $$?!"Выключить Ping Reply Block?" | if ( %prbask == $true ) { unset %prb | echo 10 -a %ss2 Ping Reply Block выключен. } }
n49=  else { set %prbask $$?!"Включить Ping Reply Block?" | if ( %prbask == $true ) { set %prb Ping.Reply.Block.On | echo 10 -a %ss2 Ping Reply Block включен. } }
n50=unset %prbask }
n51=
n52=;[AUTOIDENTIFICATION]
n53=identify {
n54=  var %i.id 3
n55=  :nid
n56=  if ( $read($mircdirsystem\syst\auto\idlist.txt,%i.id) == $null ) { goto end }
n57=  if ( %idnick == $gettok($read($mircdirsystem\syst\auto\idlist.txt,%i.id),1,32) ) { goto id }
n58=  inc %i.id
n59=  goto nid
n60=  :id
n61=  .msg nickserv identify $gettok($read($mircdirsystem\syst\auto\idlist.txt,%i.id),2,32)
n62=  :end
n63=  unset %idnick
n64=}
n65=idclean {
n66=  write -c system\syst\auto\idlist.txt Список Автоидентификации. Ники и пароли по паре на строке в формате: Nick Pass
n67=  write system\syst\auto\idlist.txt ****************************************************************************************************************
n68=  echo 10 -a %ss2 Список автоидентификации очищен.
n69=}
n70=aid {
n71=  if ( %aid != $null ) { set %aidask $$?!"Выключить Автоидентификацию?" | if ( %aidask == $true ) { unset %aid | echo 10 -a %ss2 Автоидентификация выключена. } }
n72=  else { set %aidask $$?!"Включить Автоидентификацию?" | if ( %aidask == $true ) { set %aid Auto.Identification.On | echo 10 -a %ss2 Автоидентификация включена. } }
n73=unset %aidask }
n74=
n75=;[WELCOME]
n76=welclean {
n77=  write -c system\syst\auto\welcome.txt Список каналов Автоприветствия.
n78=  write system\syst\auto\welcome.txt **********************************************
n79=  echo 10 -a %ss2 Список Автоприветствия очищен.
n80=}
n81=autohello {
n82=  if ( %aho != $null ) { set %ahask $$?!"Выключить Автоприветствие?" | if ( %ahask == $true ) { unset %aho | echo 10 -a %ss2 Автоприветствие выключено. } }
n83=  else { set %ahask $$?!"Включить Автоприветствие?" | if ( %ahask == $true ) { set %aho Auto.hello.on | echo 10 -a %ss2 Автоприветствие включено. } }
n84=unset %ahask }
n85=setah {
n86=  set %ahask $$?!"Вы хотите поменять текст автоприветствия?" | if ( %ahask == $true ) { set %ah $$?="Введите текст автоприветствия:" | echo 10 -a %ss2 Текст автоприветствия заменен на: %ah }
n87=unset %ahask }
n88=
n89=;[AUTOVOICE]
n90=avask {
n91=  if ( %av != $null ) { set %avask $$?!"Выключить Автовойс?" | if ( %avask == $true ) { unset %av | echo 10 -a %ss2 Автовойс выключен. } }
n92=  else { set %avask $$?!"Включить Автовойс?" | if ( %avask == $true ) { set %av Auto.voice.on | echo 10 -a %ss2 Автовойс включен. } }
n93=unset %avask }
n94=avclean {
n95=  write -c system\syst\auto\autov.txt Список каналов Автовойса.
n96=  write system\syst\auto\autov.txt *************************************
n97=  echo 10 -a %ss2 Список Автовойса очищен.
n98=}
n99=
n100=;[DEFENCE]
n101=defence {
n102=  if ( %defence != $null ) { set %defenceask $$?!"Выключить Защиту?" | if ( %defenceask == $true ) { unset %defence | echo 10 -a %ss2 Защита выключена. } }
n103=  else { set %defenceask $$?!"Включить Защиту?" | if ( %defenceask == $true ) { set %defence Defence.on | echo 10 -a %ss2 Защита включена. } }
n104=unset %defenceask }
n105=defclean {
n106=  write -c system\syst\auto\defence.txt Список каналов Защиты Jenac mIRC.
n107=  write system\syst\auto\defence.txt *************************************************
n108=  echo 10 -a %ss2 Список Защиты очищен.
n109=}
n110=
n111=;[AUTOGET]
n112=opmej {
n113=  if ( %opmej != $null ) { set %opmejask $$?!"Выключить Автозапрос опа?" | if ( %opmejask == $true ) { unset %opmej | echo 10 -a %ss2 Автозапрос опа выключен. } }
n114=  else { set %opmejask $$?!"Включить Автозапрос опа?" | if ( %opmejask == $true ) { set %opmej Op.Me.On | echo 10 -a %ss2 Автозапрос опа включен. } }
n115=unset %opmejask }
n116=voicemej {
n117=  if ( %voicemej != $null ) { set %voicemejask $$?!"Выключить Автозапрос войса?" | if ( %voicemejask == $true ) { unset %voicemej | echo 10 -a %ss2 Автозапрос войса выключен. } }
n118=  else { set %voicemejask $$?!"Включить Автозапрос войса?" | if ( %voicemejask == $true ) { set %voicemej Voice.Me.On | echo 10 -a %ss2 Автозапрос войса включен. } }
n119=unset %voicemejask }
n120=omvcleano {
n121=  write -c system\syst\auto\autogain.txt Список каналов Автозапроса на оп.
n122=  write system\syst\auto\autogain.txt ************************************************
n123=  echo 10 -a %ss2 Список Автозапроса на оп очищен.
n124=}
n125=omvcleanv {
n126=  write -c system\syst\auto\autogain.txt Список каналов Автозапроса на войс.
n127=  write system\syst\auto\autogain.txt ***************************************************
n128=  echo 10 -a %ss2 Список Автозапроса на оп очищен.
n129=}
n130=[WARBOT]
n131=wbclean {
n132=  write -c system\syst\auto\warbotc.txt Список каналов WarBot-a
n133=  write system\syst\auto\warbotc.txt **********************************
n134=  echo 10 -a %ss2 Список Автозапросов очищен.
n135=}
n136=wbnclean {
n137=  write -c system\syst\auto\warbotn.txt Список жертв WarBot-a
n138=  write system\syst\auto\warbotn.txt *******************************
n139=  echo 10 -a %ss2 Список жертв WarBot-a очищен.
n140=}
